<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        body {
          background-color: aliceblue;
        }

        #botones {
          text-align: center;
        }

        #botones button {
          width: 110px;
          height: 30px;
          margin-left: 5px;
          background-color: rgb(173, 161, 161);
          font-size: 20px;
          cursor: pointer;
          color: aliceblue;
        }
    </style>
</head>
<body>
    <center><h1>ESTE ES EL EMBEBIDO</h1></center>
    <hr />
    <div id="botones">
      <button onclick="appReady()">appReady</button>
      <button onclick="setTitle()">setTitle</button>
      <button onclick="captureFrontDocument()">Front</button>
      <button onclick="captureBackdocument()">Back</button>
      <button onclick="captureFace()">Face</button>
      <button onclick="appFinish()">Finish</button>
    </div>
    <div id="response">

    </div>

    <script>
      const responseContainer = document.getElementById('response');
      function appReady() {
        window.parent.postMessage({
          event: 'appReady',
        }, '*');
      }
      
      function setTitle() {
        title = prompt('Ingrese el titulo');        
        if (title) {
          window.parent.postMessage({
            event: 'setTitle',
            title
          }, '*')
        }
      }

      function captureFrontDocument() {
        window.parent.postMessage({
          event: 'captureFrontDocument'
        }, '*');
      }

      function captureBackdocument() {
        window.parent.postMessage({
          event: 'captureBackDocument'
        }, '*');
      }

      function captureFace() {
        window.parent.postMessage({
          event: 'captureFace'
        }, '*');
      }

      function appFinish() {
        window.parent.postMessage({
          event: 'appFinish'
        }, '*');
      }

      window.addEventListener('message', (event) => {        
        let items = Object.keys(event.data.response).map(item => `
          <li>
            ${item}==${event.data.response[item]}
          </li>
          ` 
        ).join('');
        responseContainer.innerHTML = `
          <h2>
            RESPUESTA DEL POSTMESSAGE::: <i>${event.data.event}</i>
          </h2>
          <div>
            ${items}
          </div>
        `;
      });        
    </script>
</body>
</html>